Skip to content

Slots

All operations require authentication.

2 operationsv2/zimbra/platform
Agent setup

List slotsProduction

GET
/v2/zimbra/platform/{platformId}/slot

Returns the account slots of the platform with their offer, billing status and linked email account. Filter them by accountId, email, offer, billingStatus or used.

Path parameters

platformId
required
stringuuid

Platform ID

Query parameters

accountId
string

Filter by account identifier of the slots

billingStatus
string

Filter by the billing status of the slots

email
string

Filter slot by an email

offer
string

Filter by offer of the slots

used
boolean

Filter by the empty account id of the slots

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200SlotResponse[]successful operation
checksum
read-only
string

Checksum hash in MD5 representation

currentState
read-only
SlotCurrentState

Object representing slot

currentTasks
read-only
CurrentTask[]

An array containing tasks responses pending on resource extends AsyncResourceBase object

id
read-only
stringuuid

Resource identifier in UUID representation

resourceStatus
read-only
ResourceStatusEnum

Current resource status

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
400objectError 400 response
404objectError 404 response

Example uses platformId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/zimbra/platform/{platformId}/slot \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "currentState": { "accountId": "00000000-0000-0000-0000-000000000000", "billingStatus": "CREATING", "createdAt": "2024-01-01T12:00:00Z", "domainPromotionLink": "string", "email": "string", "offer": "PRO", "platformId": "00000000-0000-0000-0000-000000000000" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING" }]

Get a slotProduction

GET
/v2/zimbra/platform/{platformId}/slot/{slotId}

Returns the offer and billing status of the slot, and the email account using it. accountId and email are null while no account uses the slot.

Path parameters

platformId
required
stringuuid

Platform ID

slotId
required
stringuuid

Slot ID

Response

200SlotResponsesuccessful operation
checksum
read-only
string

Checksum hash in MD5 representation

currentState
read-only
SlotCurrentState

Object representing slot

currentTasks
read-only
CurrentTask[]

An array containing tasks responses pending on resource extends AsyncResourceBase object

id
read-only
stringuuid

Resource identifier in UUID representation

resourceStatus
read-only
ResourceStatusEnum

Current resource status

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
400objectError 400 response
404objectError 404 response

Example uses platformId = 00000000-0000-0000-0000-000000000000, slotId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/zimbra/platform/{platformId}/slot/{slotId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "currentState": { "accountId": "00000000-0000-0000-0000-000000000000", "billingStatus": "CREATING", "createdAt": "2024-01-01T12:00:00Z", "domainPromotionLink": "string", "email": "string", "offer": "PRO", "platformId": "00000000-0000-0000-0000-000000000000" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING"}